aboutsummaryrefslogtreecommitdiffstats
path: root/extra/ntfs-3g/APKBUILD
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2009-04-22 14:19:58 +0000
committerCarlo Landmeter <clandmeter@gmail.com>2009-04-22 14:19:58 +0000
commite074ea27bce8b57c4805f5e068bff17f04cc170b (patch)
tree78249760523ce9378253d193b8c255c6e361e324 /extra/ntfs-3g/APKBUILD
parent639a9b807d3201cc24033296be4e829985d32f63 (diff)
downloadaports-e074ea27bce8b57c4805f5e068bff17f04cc170b.tar.gz
aports-e074ea27bce8b57c4805f5e068bff17f04cc170b.tar.bz2
aports-e074ea27bce8b57c4805f5e068bff17f04cc170b.tar.xz
extra/ntfs-3g: new aport
Diffstat (limited to 'extra/ntfs-3g/APKBUILD')
-rw-r--r--extra/ntfs-3g/APKBUILD25
1 files changed, 25 insertions, 0 deletions
diff --git a/extra/ntfs-3g/APKBUILD b/extra/ntfs-3g/APKBUILD
new file mode 100644
index 0000000000..a5be8c0a7a
--- /dev/null
+++ b/extra/ntfs-3g/APKBUILD
@@ -0,0 +1,25 @@
+# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+pkgname=ntfs-3g
+pkgver=2009.4.4
+pkgrel=0
+pkgdesc="A userspace ntfs driver with write support"
+url="http://www.ntfs-3g.org"
+license="GPL"
+depends="uclibc"
+makedepends=""
+subpackages="$pkgname-doc $pkgname-dev"
+source="http://www.ntfs-3g.org/${pkgname}-${pkgver}.tgz"
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info
+ make || return 1
+ make -j1 DESTDIR="$pkgdir" LDCONFIG=: install
+
+}
+
+md5sums="e0b5c170f088a8d82968f0a6b34d31da ntfs-3g-2009.4.4.tgz"